package com.steerinfo.baseinfo.meterbasematterinfo.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value = "计量物料配置表")
public class MeterBaseMatterInfo implements IBasePO<String> {
    /**
     * 物料编号(MATTER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="物料编号",required=true)
    private String matterNo;

    /**
     * 物料名称(MATTER_NAME,VARCHAR,200)
     */
    @ApiModelProperty(value="物料名称",required=true)
    private String matterName;

    /**
     * 索引码(INDEX_CODE,VARCHAR,40)
     */
    @ApiModelProperty(value="索引码",required=false)
    private String indexCode;

    /**
     * 助记码(MNEMONIC_CODE,VARCHAR,50)
     */
    @ApiModelProperty(value="助记码",required=false)
    private String mnemonicCode;

    /**
     * 物料属性编号(MATTER_NATURE_NO,VARCHAR,30)
     */
    @ApiModelProperty(value="物料属性编号",required=false)
    private String matterNatureNo;

    /**
     * 物料属性名称(MATTER_NATURE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="物料属性名称",required=false)
    private String matterNatureName;

    /**
     * 计量属性编号(METER_NATURE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量属性编号",required=false)
    private String meterNatureNo;

    /**
     * 计量属性名称(METER_NATURE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="计量属性名称",required=false)
    private String meterNatureName;

    /**
     * 标志（0：无效；1：有效）(VALID_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="标志（0：无效；1：有效）",required=false)
    private String validFlag;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间（YYYY-MM-DD HH:mm:SS）",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    /**
     * 删除人编号(DELETE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="删除人编号",required=false)
    private String deleteManNo;

    /**
     * 删除人姓名(DELETE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="删除人姓名",required=false)
    private String deleteManName;

    /**
     * 删除时间（YYYY-MM-DD HH:mm:SS）(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="删除时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date deleteTime;

    /**
     * 计量码(METER_CODE,VARCHAR,5)
     */
    @ApiModelProperty(value="计量码",required=false)
    private String meterCode;

    /**
     * 是否允许使用期限皮重(0不可，1可以)(ALLOWED_TARE_WEIGHT,VARCHAR,1)
     */
    @ApiModelProperty(value="是否允许使用期限皮重(0不可，1可以)",required=false)
    private String allowedTareWeight;

    /**
     * 是否允许使用附加重量(0不可，1可以)(ALLOWED_ADD_WEIGHT,VARCHAR,1)
     */
    @ApiModelProperty(value="是否允许使用附加重量(0不可，1可以)",required=false)
    private String allowedAddWeight;

    /**
     * 预报有效天数，默认为5天；(SCALE_VALID_PERIOD,VARCHAR,2)
     */
    @ApiModelProperty(value="预报有效天数，默认为5天；",required=false)
    private String scaleValidPeriod;

    /**
     * 规格(SPEC_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="规格",required=false)
    private String specName;

    /**
     * 备注(MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 001035001为普通物资，001035002是直达材料，001035003是废旧物资,具体类型可以在基础数据配置下物料分类-按报表中添加；(REPORT_CODE,VARCHAR,20)
     */
    @ApiModelProperty(value="001035001为普通物资，001035002是直达材料，001035003是废旧物资,具体类型可以在基础数据配置下物料分类-按报表中添加；",required=false)
    private String reportCode;

    /**
     * 皮带秤物料名称分类
     */
    @ApiModelProperty(value="物料系数编码",required=false)
    private String beltTypeCode;

    public String getBeltTypeCode() {
        return this.beltTypeCode;
    }

    public void setBeltTypeCode(String beltTypeCode) {
        this.beltTypeCode = beltTypeCode == null ? null : beltTypeCode.trim();
    }
    /**
     * 皮带秤物料名称分类
     */
    @ApiModelProperty(value="物料系数名称",required=false)
    private String beltTypeName;

    public String getBeltTypeName() {
        return this.beltTypeName;
    }

    public void setBeltTypeName(String beltTypeName) {
        this.beltTypeName = beltTypeName == null ? null : beltTypeName.trim();
    }

    /**
     * 结算单位(如营销中心)(SETTLEMENT_UNIT,VARCHAR,100)
     */
    @ApiModelProperty(value="结算单位(如营销中心)",required=false)
    private String settlementUnit;

    /**
     * 结算单价(SETTLEMENT_PRICE,DECIMAL,10)
     */
    @ApiModelProperty(value="结算单价",required=false)
    private BigDecimal settlementPrice;

    /**
     * 是否二次资源物料(IS_SECOND_RESOURCES,VARCHAR,1)
     */
    @ApiModelProperty(value="是否二次资源物料",required=false)
    private String isSecondResources;

    /**
     * 是否是联达物料 0否1是(IS_LIANDA,VARCHAR,1)
     */
    @ApiModelProperty(value="是否是联达物料 0否1是",required=false)
    private String isLianda;



    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.matterNo;
    }

    @Override
    public void setId(String matterNo) {
        this.matterNo = matterNo == null ? null : matterNo.trim();
    }

    public String getMatterNo() {
        return matterNo;
    }

    public void setMatterNo(String matterNo) {
        this.matterNo = matterNo == null ? null : matterNo.trim();
    }

    public String getMatterName() {
        return matterName;
    }

    public void setMatterName(String matterName) {
        this.matterName = matterName == null ? null : matterName.trim();
    }

    public String getIndexCode() {
        return indexCode;
    }

    public void setIndexCode(String indexCode) {
        this.indexCode = indexCode == null ? null : indexCode.trim();
    }

    public String getMnemonicCode() {
        return mnemonicCode;
    }

    public void setMnemonicCode(String mnemonicCode) {
        this.mnemonicCode = mnemonicCode == null ? null : mnemonicCode.trim();
    }

    public String getMatterNatureNo() {
        return matterNatureNo;
    }

    public void setMatterNatureNo(String matterNatureNo) {
        this.matterNatureNo = matterNatureNo == null ? null : matterNatureNo.trim();
    }

    public String getMatterNatureName() {
        return matterNatureName;
    }

    public void setMatterNatureName(String matterNatureName) {
        this.matterNatureName = matterNatureName == null ? null : matterNatureName.trim();
    }

    public String getMeterNatureNo() {
        return meterNatureNo;
    }

    public void setMeterNatureNo(String meterNatureNo) {
        this.meterNatureNo = meterNatureNo == null ? null : meterNatureNo.trim();
    }

    public String getMeterNatureName() {
        return meterNatureName;
    }

    public void setMeterNatureName(String meterNatureName) {
        this.meterNatureName = meterNatureName == null ? null : meterNatureName.trim();
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag == null ? null : validFlag.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteManNo() {
        return deleteManNo;
    }

    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo == null ? null : deleteManNo.trim();
    }

    public String getDeleteManName() {
        return deleteManName;
    }

    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName == null ? null : deleteManName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    public String getMeterCode() {
        return meterCode;
    }

    public void setMeterCode(String meterCode) {
        this.meterCode = meterCode == null ? null : meterCode.trim();
    }

    public String getAllowedTareWeight() {
        return allowedTareWeight;
    }

    public void setAllowedTareWeight(String allowedTareWeight) {
        this.allowedTareWeight = allowedTareWeight == null ? null : allowedTareWeight.trim();
    }

    public String getAllowedAddWeight() {
        return allowedAddWeight;
    }

    public void setAllowedAddWeight(String allowedAddWeight) {
        this.allowedAddWeight = allowedAddWeight == null ? null : allowedAddWeight.trim();
    }

    public String getScaleValidPeriod() {
        return scaleValidPeriod;
    }

    public void setScaleValidPeriod(String scaleValidPeriod) {
        this.scaleValidPeriod = scaleValidPeriod == null ? null : scaleValidPeriod.trim();
    }

    public String getSpecName() {
        return specName;
    }

    public void setSpecName(String specName) {
        this.specName = specName == null ? null : specName.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getReportCode() {
        return reportCode;
    }

    public void setReportCode(String reportCode) {
        this.reportCode = reportCode == null ? null : reportCode.trim();
    }

    public String getSettlementUnit() {
        return settlementUnit;
    }

    public void setSettlementUnit(String settlementUnit) {
        this.settlementUnit = settlementUnit == null ? null : settlementUnit.trim();
    }

    public BigDecimal getSettlementPrice() {
        return settlementPrice;
    }

    public void setSettlementPrice(BigDecimal settlementPrice) {
        this.settlementPrice = settlementPrice;
    }

    public String getIsSecondResources() {
        return isSecondResources;
    }

    public void setIsSecondResources(String isSecondResources) {
        this.isSecondResources = isSecondResources == null ? null : isSecondResources.trim();
    }

    public String getIsLianda() {
        return isLianda;
    }

    public void setIsLianda(String isLianda) {
        this.isLianda = isLianda == null ? null : isLianda.trim();
    }
}